WCS_ASTRO_FORMAT_ALL(3)

EXPERIMENTAL_FUNC
wcs_astro_format_all - Transform and format all available information.

SYNOPSIS
#include <karma_wcs.h>

void wcs_astro_format_all

(KwcsAstro ap, unsigned int spherical_format, char coord_string[STRING_LENGTH], CONST char *name0, double coord0, CONST char *name1, double coord1, CONST char *name2, double coord2, unsigned int num_restr, CONST char **restr_names, CONST double *restr_values, char other_string[STRING_LENGTH])

DESCRIPTION
This routine will transform and format all available information. The data are transformed from linear to non-linear values.

ap  The KwcsAstro object.

spherical_format
    The format type for a spherical axis.

coord_string
    Formatted co-ordinate information is written here.

name0
    The name of co-ordinate 0.

coord0
    Co-ordinate 0.

name1
    The name of co-ordinate 1. If this is NULL, it is ignored.

coord1
    Co-ordinate 1.

name2
    The name of co-ordinate 2. If this is NULL, it is ignored.

coord2
    Co-ordinate 2.

num_restr
    The number of restrictions.

restr_names
    The array of restriction names.

restr_values
    The restriction values.

other_string
    Formatted extra information is written here.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/